Resource Center/Hardware/Primary Storage Operations/Shared Block Primary Storage Operations
POSTShared Block Primary Storage OperationsSince 2.6.0SynchronousAuth Required
RefreshSharedblockDeviceCapacity
RefreshSharedblockDeviceCapacity
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringOptional. The LUN UUID. If null, all devices that attach to the LUN will be updated.
sharedBlockGroupUuidStringRequiredThe LUN group UUID.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/primary-storage/sharedblockgroup/{sharedBlockGroupUuid}/sharedblocks/{uuid}
/zstack/v1/primary-storage/sharedblockgroup/{sharedBlockGroupUuid}/sharedblocks/{uuid}
Request Example
curl -X POST 'http://{host}/zstack/v1/primary-storage/sharedblockgroup/{sharedBlockGroupUuid}/sharedblocks/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "sharedBlocks": [ { "uuid": "fd474b5a711f3bcab14061e1507b0691", "sharedBlockGroupUuid": "9f900d7cc336370da2dccdd832a1613d", "type": "LvmLogicalVolumeBasic", "diskUuid": "b9bec04964ab30a7bf80bdbf7ec997d9", "name": "test shared block", "description": "description", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "sharedBlockGroupType": "LvmVolumeGroupBasic", "uuid": "9f900d7cc336370da2dccdd832a1613d", "name": "shared block group primary storage", "description": "shared block group primary storage description", "availableCapacity": 1.073741824E9, "availablePhysicalCapacity": 1.073741824E9, "type": "SharedBlock", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }Change History
This API has no change history records yet.
